Index: npl/syn3/backup/backuplib
===================================================================
--- npl/syn3/backup/backuplib	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/backup/backuplib	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -111,5 +111,5 @@
 CheckRunning()
 {
-	if [ `pgrep -o 'restore|backup'` != $$ ]; then
+	if [ `pgrep -xo 'restore|backup'` != $$ ]; then
 		echo "INFO: Backup/restore already running!";
 		exit 1
Index: npl/syn3/backup/syn3backup.build
===================================================================
--- npl/syn3/backup/syn3backup.build	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/backup/syn3backup.build	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-6550
+6551
Index: npl/syn3/backup/syn3backup.md5
===================================================================
--- npl/syn3/backup/syn3backup.md5	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/backup/syn3backup.md5	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,5 +1,5 @@
 17d2ccbdcf7937a1ef1134ba7c4b0378  ./backup
 779c5c089a832327ff56b7db1d89ea25  ./backup.conf
-19499d91077241a779176b275081aa96  ./backuplib
+c50d0f5338e24eb7e4943557589fd562  ./backuplib
 5fd22ce56460e9ab76641f1f322bd30f  ./cleanup
 a65357fe969b583c6220300ae54316b4  ./delete
@@ -25,6 +25,6 @@
 b42907f76531300850bad1104e2f6bdf  ./restorefiles
 478387d5e8c95cee3c270858e930b2ba  ./sshpass
-16227d7d8c11b00394b292ebd0615612  ./syn3backup.pkg
+1dcce0b997d0c2b5568c564f86d38ff2  ./syn3backup.pkg
 6e3b8805854d12fd1b73056e96357640  ./syn3backup.SlackBuild
-d8c0858eb5e6dbc3d4589b5ee548b579  ./syn3backup.SlackBuild.log.gz
+815f0fb042703caf20ef9cc1d31a1319  ./syn3backup.SlackBuild.log.gz
 ac50b66df20fa5fee5fb8ec431ede26e  ./updatelang.sh
Index: npl/syn3/webint/src/backup/syn3backup.php
===================================================================
--- npl/syn3/webint/src/backup/syn3backup.php	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/webint/src/backup/syn3backup.php	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -54,5 +54,5 @@
 	#try to create a directory and use all the rsync options we need, to make sure everything works
 	mkdir("/tmp/syn3backuptest");
-	$ret=Cmd("PASSWD='$new_rsyncpasswd' /usr/backup/sshpass rsync --rsh 'ssh -p $new_rsyncport -o NumberOfPasswordPrompts=1 -o StrictHostKeyChecking=no -o PubkeyAuthentication=no' -r --rsync-path='rsync --fake-super' /tmp/syn3backuptest/ '$new_rsyncserver:$new_rsyncdir/syn3backupmeta'", 
+	$ret=Cmd("PASSWD='$new_rsyncpasswd' /usr/backup/sshpass rsync --rsh 'ssh -p $new_rsyncport -o NumberOfPasswordPrompts=1 -o StrictHostKeyChecking=no -o PubkeyAuthentication=no' -r --rsync-path='rsync --fake-super' /tmp/syn3backuptest/ '$new_rsyncserver:$new_rsyncdir/syn3backupmeta'",
 			 '', $out, $err);
 	rmdir("/tmp/syn3backuptest");
@@ -70,5 +70,5 @@
 	global $bcksettings;
 	$raw=FileRead($bcksettings[LOG]);
-	if (!Cmd("pgrep -o 'restore|backup'", '', $out, $err))
+	if (!Cmd("pgrep -xo 'restore|backup'", '', $out, $err))
 	{
 		$running=1;
Index: npl/syn3/webint/webint.build
===================================================================
--- npl/syn3/webint/webint.build	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/webint/webint.build	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -1,1 +1,1 @@
-6560
+6561
Index: npl/syn3/webint/webint.md5
===================================================================
--- npl/syn3/webint/webint.md5	(revision 5160d6289d4590a655462ab3ff8edbee29a5764c)
+++ npl/syn3/webint/webint.md5	(revision 93c453eaf9bbb40afda89ca0a211cd2cdc43b939)
@@ -119,5 +119,5 @@
 44e1f535bed6e7f16e41d96abeba5f56  ./src/backup/startrestorefiles.php
 678555e8cf13f518a7377cd39824a64d  ./src/backup/startrestore.php
-8ec333388d9150af5abc29a05c97e72e  ./src/backup/syn3backup.php
+f5f46a2712175be9659b2d227a6654f5  ./src/backup/syn3backup.php
 06540e48b49b2b69168ccda00e865e50  ./src/backup/wizardchoose.php
 818978bae75fd32160fbceb342002f2e  ./src/backup/wizardman.php
@@ -1160,6 +1160,6 @@
 3d8b121024940b3004ca67bacb88b74e  ./updatelang.sh
 e15c0d77cf349ff3f2c55bf1b48ea567  ./upload.sh
-728c7c592f3b6eb8b10ca03506d8a7af  ./webint.pkg
+2b8adf31f5eacfc0076b815b4001cfaa  ./webint.pkg
 05d46c478b4e8c14eafeb686a5b8c064  ./webint.SlackBuild
-0a1cbcb19a1e961de4627b95f23fbfd3  ./webint.SlackBuild.log.gz
+55ae1a264321e68a16fa9f206f28867a  ./webint.SlackBuild.log.gz
 693ffd7c59a1fe2b34276bec14f3ebfb  ./zones.conf
